# Stop

## Synopsis

action name: `stop`

Stops a server instance

This action will allow you to stop a server instance on a compute host.

## Configuration

Action parameters:

parameter | type | required | description
--- | --- | --- | ---
`resource_id` | string | yes | UUID of the server instance to stop

## Skipping conditions

Stop actions will be automatically skipped in the pre_condition phase in the following cases:

- The server does not exist

- The server is already stopped

this page last updated: 2026-04-01 21:51:00

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug